Index: trunk/grails-app/views/assetDetailed/create.gsp
===================================================================
--- trunk/grails-app/views/assetDetailed/create.gsp	(revision 161)
+++ trunk/grails-app/views/assetDetailed/create.gsp	(revision 271)
@@ -5,5 +5,5 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Create Asset</title>   
+        <title>Create Asset</title>
         <nav:resources override="true"/>
     </head>
@@ -31,7 +31,7 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'name','errors')}">
-                                    <input type="text" id="name" name="name" value="${fieldValue(bean:assetInstance,field:'name')}"/>
+                                    <input type="text" maxlength="50" id="name" name="name" value="${fieldValue(bean:assetInstance,field:'name')}"/>
                                 </td>
-                            </tr>
+                            </tr> 
                         
                             <tr class="prop">
@@ -40,35 +40,8 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'description','errors')}">
-                                    <input type="text" id="description" name="description" value="${fieldValue(bean:assetInstance,field:'description')}"/>
-                                </td>
-                            </tr>
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="costCode">Cost Code:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'costCode','errors')}">
-                                    <input type="text" id="costCode" name="costCode" value="${fieldValue(bean:assetInstance,field:'costCode')}"/>
-                                </td>
-                            </tr>
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="assetType">Asset Type:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'assetType','errors')}">
-                                    <g:select optionKey="id" from="${AssetType.list()}" name="assetType.id" value="${assetInstance?.assetType?.id}" ></g:select>
+                                    <input type="text" maxlength="100" id="description" name="description" value="${fieldValue(bean:assetInstance,field:'description')}"/>
                                 </td>
                             </tr> 
-
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="systemSection">System Section:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'systemSection','errors')}">
-                                    <g:select optionKey="id" from="${SystemSection.list()}" name="systemSection.id" value="${assetInstance?.systemSection?.id}" ></g:select>
-                                </td>
-                            </tr>
-
+                        
                             <tr class="prop">
                                 <td valign="top" class="name">
@@ -79,5 +52,14 @@
                                 </td>
                             </tr> 
-
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="section">Section:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:assetInstance,field:'section','errors')}">
+                                    <g:select optionKey="id" from="${Section.list()}" name="section.id" value="${assetInstance?.section?.id}" ></g:select>
+                                </td>
+                            </tr> 
+                        
                         </tbody>
                     </table>
